What are the compatible iOS versions to download iTools?

edited June 23 in iTools Download

iTools is compatible to download on iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, and iOS 11 running devices. And also, the ThinkSky is waiting to expand the compatibility up to the upcoming iOS 12 as well. So if you have any iPhone, iPad or iPod touch running one of the above iOS version, feel free to use iTools on as your device’s file manager tool.

Sign In or Register to comment.